﻿using System.Drawing;
using QRCoder;
using RaDynamics.QrZahlteilApp.Service;

namespace QrZahlteilExample
{
    class QrCodeGenerator : IQrCodeGenerator
    {
        private readonly QRCodeGenerator _gen = new QRCodeGenerator();

        public Bitmap Create(string content)
        {
            var data = _gen.CreateQrCode(content, QRCodeGenerator.ECCLevel.Q);
            var qrCode = new QRCode(data);
            return qrCode.GetGraphic(3);
        }
    }
}
