﻿using System.Text;

namespace RaDynamics.QrZahlteilApp.Service
{
    internal class NoEncryption : IEncryption
    {
        private static readonly Encoding Encoding = Encoding.UTF8;

        public byte[] Secret { get; } = null;
        public byte[] IV { get; } = null;

        public byte[] Encrypt(string value)
        {
            return Encoding.GetBytes(value);
        }

        public string Decrypt(byte[] value)
        {
            return Encoding.GetString(value);
        }
    }
}
