﻿using System.Collections.Generic;

namespace RaDynamics.QrZahlteilApp.Service
{
    public enum ScannedType
    {
        Unknown,
        QrCode,
        Kodierzeile
    }

    internal static class ScannedTypeHelper
    {
        public static ScannedType Convert(string serviceType)
        {
            var dic = new Dictionary<string, ScannedType>()
            {
                {"qr", ScannedType.QrCode},
                {"kodierzeile", ScannedType.Kodierzeile},
            };
            return dic.ContainsKey(serviceType) ? dic[serviceType] : ScannedType.Unknown;
        }
    }
}
