﻿using System;

namespace RaDynamics.QrZahlteilApp.Service
{
    internal class ScannerConnectedEventArgs
    {
        /// <summary>
        /// Die Bezeichnung des Scanners, welcher sich verbunden hat.
        /// </summary>
        public string ScannerName { get; }

        public ScannerConnectedEventArgs(string scannerName)
        {
            ScannerName = scannerName ?? throw new ArgumentNullException(nameof(scannerName));
        }
    }
}
