﻿using System;

namespace RaDynamics.QrZahlteilApp.Service
{
    internal class ScannedEventArgs : EventArgs
    {
        /// <summary>
        /// Enthält die vom Scanner gelieferten Daten der QR-Rechnung.
        /// </summary>
        public ScannedData Data { get; }

        public ScannedEventArgs(ScannedData data)
        {
            Data = data ?? throw new ArgumentNullException(nameof(data));
        }
    }
}
