﻿using System;

namespace RaDynamics.QrZahlteilApp.Service
{
    public class Server
    {
        public Uri Uri { get; }
        public TimeSpan KeepAlive { get; }

        public Server(Uri uri, TimeSpan keepAlive)
        {
            Uri = uri ?? throw new ArgumentNullException(nameof(uri));
            KeepAlive = keepAlive;
        }

        public override string ToString()
        {
            return $"uri: {Uri}";
        }
    }
}
